args "--unamed-opts=command --no-handle-error --conf-parser --no-handle-version --no-handle-help"

purpose "Communicate with para_server through the paraslash control port"

include(header.m4)
define(CURRENT_PROGRAM,para_client)
define(DEFAULT_CONFIG_FILE,~/.paraslash/client.conf)
define(DEFAULT_HISTORY_FILE,~/.paraslash/client.history)
<qu>
option "hostname" i
#~~~~~~~~~~~~~~~~~~
"ip or host to connect"
string typestr = "host"
default = "localhost"
optional

option "user" u
#~~~~~~~~~~~~~~
"paraslash username"
string typestr = "username"
default = "<current user>"
optional

option "server-port" p
#~~~~~~~~~~~~~~~~~~~~~
"port to connect"
int typestr = "port"
default = "2990"
optional

option "key-file" k
#~~~~~~~~~~~~~~~~~~
"path to private key"
string typestr = "filename"
optional
details = "
	If not given, the following files are tried, in order:
	$HOME/.paraslash/key.$LOGNAME, $HOME/.ssh/id_rsa. It is a fatal
	error if the key file can not be opened, or is world-readable.
"
</qu>

include(loglevel.m4)
include(config_file.m4)
include(history_file.m4)
include(complete.m4)
